# WARNING - Generated by {fusen} from /dev/flat_study_squirrels.Rmd: do not edit by hand

#' save_as_csv
#'
#' 
#' @param data Data.frame Data i want to store
#' @param path Character. Path to store data
#' @param ... parametres additionels de la fonction write.csv2
#' 
#' @importFrom utils write.csv2
#' @importFrom tools file_ext
#' 
#' @return the path 
#' 
#' @export
#' @examples
#' mon_dossier_temp <- tempfile(pattern = "savecsv")
#' dir.create(mon_dossier_temp)
#' 
#' iris %>% save_as_csv(path = file.path(mon_dossier_temp, "output.csv")) 
#' 
#' # browseurl ouvre les données pour y accéder
#' iris %>% save_as_csv(path = file.path(mon_dossier_temp, "output.csv")) %>% browseURL()
#' 
#' unlink(mon_dossier_temp, recursive = TRUE)
#' 
#' # iris %>% save_as_csv(path = file.path(mon_dossier_temp, "output.csv"), sep = ";")
save_as_csv <- function(data, path, ...) {
  
  if (isFALSE(inherits(data, "data.frame"))) {
    stop("Data doit etre un dataframe")
  }
  
  if (isTRUE(nrow(data) == 0)) {
    stop("Data doit contenir des lignes")
  }
  
  if (isFALSE(file_ext(path) == "csv")) {
    stop("Path doit etre de type csv")
  }
  
  if (isFALSE(dir.exists(dirname(path)))) {
    stop("Le dossier doit exister")
  }
  
  write.csv2(x = data, file = path, ...)
  
  return(invisible(path))
}
